AntiFeatures:
    NonFreeNet:
        en-US: No way to change server, does not do anything without the server.
Categories:
  - Science & Education
License: Unlicense
AuthorName: Evil Insult Generator & Contributors
AuthorEmail: marvin@evilinsult.com
WebSite: https://evilinsult.com/
SourceCode: https://github.com/EvilInsultGenerator/android-app
IssueTracker: https://github.com/EvilInsultGenerator/android-app/issues
Translation: https://crowdin.com/project/evil-insult-generator-android/
Donate: https://evilinsult.com/donate/

AutoName: Evil Insult Generator

RepoType: git
Repo: https://github.com/EvilInsultGenerator/android-app

Builds:
  - versionName: '2.0'
    versionCode: 20
    commit: v2.0
    subdir: app
    gradle:
      - yes

  - versionName: '3.0'
    versionCode: 30
    commit: 1e53687985aa1bb0dff5de62233f474f34c402ad
    subdir: app
    gradle:
      - yes

  - versionName: '3.1'
    versionCode: 31
    commit: e5c0ac7b60671954b180b81815527b038bc034ab
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: '3.2'
    versionCode: 32
    commit: 8f426653c0ff85835e6d075f0ad2308932846730
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: '3.3'
    versionCode: 33
    commit: f1fd44a20afbed0a5a29c2a7942deca784c7b343
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: '3.4'
    versionCode: 34
    commit: 2274de0f1c9f18cb529c9cfd36c224d78f71af4d
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: '3.5'
    versionCode: 35
    commit: ec56074709ea5545395bee99a36af75fc197d616
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: '3.6'
    versionCode: 36
    commit: 11ab42c7964263d2ce9859bb31c984d5bee3e746
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: '3.7'
    versionCode: 37
    commit: a05b58e2d2bb023653082a0a39534c37ff600537
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: '3.8'
    versionCode: 38
    commit: 773499dd9ec65bce65beef183476444b5141800b
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: '3.9'
    versionCode: 39
    commit: 18fd489688be87e5a7ffba54fd1efdb1baf760cf
    subdir: app
    gradle:
      - yes

  - versionName: '4.0'
    versionCode: 40
    commit: 8e94e524bf19c4d2d67d697518d7f697c2a96641
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: '4.1'
    versionCode: 41
    commit: 33b07c53b74958c1787ae4e72dfe0407b111aff7
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

MaintainerNotes: TetheredNet?

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: '4.1'
CurrentVersionCode: 41
